﻿using System;

namespace ASPItalia.Apps4Windows.WinRT.Common
{
    public static class LayerManager
    {
        public static event EventHandler<LayerChangedEventArgs> LayerChanged;

        public static void OnLayerChanged(bool isTopMostLayer)
        {
            if (LayerChanged != null)
                LayerChanged(null, new LayerChangedEventArgs(isTopMostLayer));
        }
    }
}
