﻿using ASPItalia.Apps4Windows.WinRT.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace ASPItalia.App4Windows8.Xaml.Common.StyleSelectors
{
	public class NewsItemStyleSelector : StyleSelector
	{
		protected override Style SelectStyleCore(object item, DependencyObject container)
		{
			// ENG: set the space required by the template using the template
			// ITA: gestiamo il template in modo che occupi lo spazio richiesto
			container.SetValue(VariableSizedWrapGrid.ColumnSpanProperty, 0);
			if (((SectionItem)item).Index == 0)
			{
				container.SetValue(VariableSizedWrapGrid.RowSpanProperty, 2);
				container.SetValue(VariableSizedWrapGrid.ColumnSpanProperty, 1);
			}
			container.SetValue(ContentControl.VerticalContentAlignmentProperty, VerticalAlignment.Stretch);
			container.SetValue(ContentControl.MarginProperty, new Thickness(10));
			return base.SelectStyleCore(item, container);
		}
	}
}