﻿using ASPItalia.Apps4Windows.WinRT.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace ASPItalia.App4Windows8.Xaml.Common.TemplateSelector
{

	public class NewsTemplateSelector : DataTemplateSelector
	{

		public DataTemplate DataTemplate { get; set; }
		public DataTemplate AlternateDataTemplate { get; set; }
		public DataTemplate AlternateImageDataTemplate { get; set; }
		public DataTemplate BigImageDataTemplate { get; set; }

		protected override Windows.UI.Xaml.DataTemplate SelectTemplateCore(object ob, Windows.UI.Xaml.DependencyObject container)
		{
			SectionItem item = ob as SectionItem;
			if (item.Index == 0)
			{
				return BigImageDataTemplate;
			}
			else if (item.Index == 3)
			{
				return AlternateDataTemplate;
			}
			return item.Index % 5 != 0 ? DataTemplate : AlternateImageDataTemplate;
		}
	}
}
