﻿using System;

namespace ASPItalia.Apps4Windows.WinRT.Exceptions
{
    public class ContentNotAvailableException : Exception
    {
        private const string MESSAGE = "The content you requested is not available";
        public ContentNotAvailableException()
            : base(MESSAGE)
        { }

        public ContentNotAvailableException(string message)
            : base(message)
        { }

        public ContentNotAvailableException(string message, Exception innerException)
            : base(message, innerException)
        { }
    }
}
