﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ASPItalia.Apps4Windows.WinRT.Model;

namespace ASPItalia.Apps4Windows.WinRT.Model
{

    public class FeedItem
    {
        public string Id { get; set; }

        public string Title { get; set; }

        public Uri Image { get; set; }

        public Uri Video { get; set; }

        public string Subtitle { get; set; }

        public string Content { get; set; }

        public ContentType ContentType { get; set; }

        public string PlainTextContent { get; set; }

        public Uri Uri { get; set; }

        public DateTime PubDate { get; set; }

    }

    public enum ContentType
    {
        PlainText,
        Html,
        Map
    }
}
