﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ASPItalia.Apps4Windows.WinRT.Model
{
    /// <summary>
	/// ENG: This interface handles the pinning to the start screen
    /// ITA: Interfaccia che consente di gestire il pin degli elementi nella Start Screen
    /// </summary>
    public interface IPinnableContent
    {
        string Title { get; }
        string Subtitle { get; }
        Uri Image { get; }
        string UniqueID { get; }
    }
}
