﻿using ASPItalia.Apps4Windows.WinRT.Services;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ASPItalia.Apps4Windows.WinRT.Model
{
	/// <summary>
	/// ENG: Represent an ad item
	/// ITA: rappresenta un item specifico per mostrare la pubblicità
	/// </summary>
	public class AdItem : SectionItem
	{
		public AdItem(Section section, int index)
			: base(section, new FeedItem
			{
				Id = AppInfo.AdApplicationId,
				Image = null,
				Title = "AD",
				Uri = null
			}, index)
		{

		}
	}
}
